# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

add_definitions(
)


##### libdirfilterplugin (kpart) ################

tde_add_kpart( libdirfilterplugin AUTOMOC
  SOURCES dirfilterplugin.cpp
  LINK  konq-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install(
  FILES dirfilterplugin.rc
  DESTINATION ${DATA_INSTALL_DIR}/konqiconview/kpartplugins
)

tde_create_translated_desktop(
  SOURCE dirfilter_plugin.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqiconview/kpartplugins
  PO_DIR konq-plugins-desktops
)

install(
  FILES dirfilterplugin.rc
  DESTINATION ${DATA_INSTALL_DIR}/konqlistview/kpartplugins
)

tde_create_translated_desktop(
  SOURCE dirfilter_plugin.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqlistview/kpartplugins
  PO_DIR konq-plugins-desktops
)

tde_create_translated_desktop(
  SOURCE dirfilterplugin.desktop
  DESTINATION ${APPS_INSTALL_DIR}/.hidden
  PO_DIR konq-plugins-desktops
)
